CssParser.ParseError (JavaFX 13)

Module javafx.graphics
Package javafx.css

## Class CssParser.ParseError

- java.lang.Object
- - javafx.css.CssParser.ParseError

- Direct Known Subclasses:
    `CssParser.ParseError.InlineStyleParsingError`, `CssParser.ParseError.PropertySetError`, `CssParser.ParseError.StringParsingError`, `CssParser.ParseError.StylesheetParsingError`
  Enclosing class:
    CssParser

      public static class CssParser.ParseError
      extends Object

  Encapsulate information about the source and nature of errors encountered while parsing CSS or applying styles to Nodes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CssParser.ParseError.InlineStyleParsingError` | Encapsulate errors arising from parsing of Node's style property
    `static class` | `CssParser.ParseError.PropertySetError` | Encapsulates errors arising from applying a style to a Node.
    `static class` | `CssParser.ParseError.StringParsingError` | Encapsulate errors arising from parsing when the style is not an in-line style nor is the style from a stylesheet.
    `static class` | `CssParser.ParseError.StylesheetParsingError` | Encapsulate errors arising from parsing of stylesheet files

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParseError​(String message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getMessage()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseError

          public ParseError​(String message)

  - ### Method Detail

    - #### getMessage

          public final String getMessage()

      Returns:
        The error message from the CSS code.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`